# DJ PRO 2024.1.0

## Description
If you ever wanted to listen to your own music within your game, you can do so now. 
DJ is, simply put, the missing link between Unity and your music-library. 

As the name promises, it’s a solution to build the music player of your dreams – just like a real DJ. 
It adds and plays audio files from anywhere inside your application, it’s very configurable and you can add as many records, sets and turntables as you wish. 

DJ is a must for everyone who loves music!


You can buy it here: [AssetStore](https://assetstore.unity.com/lists/crosstales-42213?aid=1011lNGT)



## Note for MacOS-users
Your security setup must allow apps from everywhere.
If the app still doesn’t start, open Terminal and enter these commands:

cd path/to/application

chmod +x "DJ PRO 2024.app/Contents/MacOS/DJ PRO 2024"

### Remove from quarantine(optional): 

xattr -r -d com.apple.quarantine "DJ PRO 2024.app/"



## Credits

"DJ PRO" uses modified versions of:
* [NAudio 1.7.2](https://github.com/naudio/NAudio)
* [NLayer 1.1.0](https://github.com/naudio/NLayer)
* [NVorbis 0.8.4](https://github.com/NVorbis/NVorbis)
* [TagLib-sharp 2.1.0.0](https://github.com/mono/taglib-sharp)

The search is provided by:
* [Spotify](https://www.spotify.com)

The lyrics are provided by:
* [AZLyrics](https://www.azlyrics.com)

The song art APIs is provided by:
* [OnRadio](http://onrad.io)

The audio files for the demos are from [CC Mixter](http://dig.ccmixter.org/free).

The icons are based on [Font Awesome](http://fontawesome.io/).


We aren’t affiliated to those companies.



## Contact

crosstales LLC
Schanzeneggstrasse 1
CH-8002 Zürich

* [Homepage](https://www.crosstales.com/en/portfolio/DJ/)
* [Email](mailto:dj@crosstales.com)

### Social media
* [Discord](https://discord.gg/ZbZ2sh4)
* [Facebook](https://www.facebook.com/crosstales/)
* [Twitter](https://twitter.com/crosstales)
* [LinkedIN](https://www.linkedin.com/company/crosstales)



## More information
* [AssetStore](https://assetstore.unity.com/lists/crosstales-42213?aid=1011lNGT)
* [Forum](https://forum.unity.com/threads/coming-soon-dj-play-your-music.502627/)
* [Documentation](https://www.crosstales.com/media/data/assets/DJ/DJ-doc.pdf)
* [API](https://www.crosstales.com/media/data/assets/DJ/api/)

### Videos
[Youtube-channel](https://www.youtube.com/c/Crosstales)

* [Promotion](TBD)
* [Tutorial](https://youtu.be/vOV-UzXkGnU)

### Demos
* [Windows-Demo](https://drive.google.com/file/d/1-4SPrq-1mN0tGq5chss3WM3I-L9r2tvV/view?usp=sharing)
* [Mac-Demo](https://drive.google.com/file/d/1-5Et_ClrTHXJgm_iedSt0NBepgvN7qHx/view?usp=sharing)
* [Linux-Demo](https://drive.google.com/file/d/1-7uarhyrEE0aon3vTCmJ-d0Nt9avgg7C/view?usp=sharing)
* [Android-Demo](https://drive.google.com/file/d/1-AuAMPrxHHrAMUNknHuahxwYXoi5oaQI/view?usp=sharing)

### Supported 3rd party assets
[All supported asset](https://assetstore.unity.com/lists/radio-friends-42211?aid=1011lNGT)

* [PlayMaker](https://assetstore.unity.com/packages/slug/368?aid=1011lNGT)
* [Audio Visualizer](https://assetstore.unity.com/packages/slug/47866?aid=1011lNGT)
* [Complete Sound Suite](https://assetstore.unity.com/packages/slug/19994?aid=1011lNGT)
* [Visualizer Studio](https://assetstore.unity.com/packages/slug/1761?aid=1011lNGT)


`Version: 08.02.2024`